<script type="text/javascript">
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggaljt").val(data.tanggal);
			}
		});
	}
	
	$("#txt_nama").focus();
	
	$("#txt_nama").keyup(function(){
		$("#form_input").hide();
		$("#info_pelanggan").show();
		var cari= $("#txt_nama").val();
		
		$.ajax({
			type	: "POST",
			url		: "spv/piutang_dg/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 2000,
			beforeSend	: function(){	
				$("#info_pelanggan").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_pelanggan").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();		
	});
		
	function simpan_data(){
		var	kodepl	= $("#txt_kodepl").val();
		var	nama	= $("#txt_nama").val();
		var	nofak 	= $("#txt_nofak").val();
		var	nopol 	= $("#txt_nopol").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	jumlah	= $("#txt_jumlah").val();
		var	tanggaljt=$("#txt_tanggaljt").val();
		
		var error 	= false;
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kode pelanggan masih kosong.");
			$("#txt_kodepl").focus();
			return (false);
        }
		
		if(nofak.length == 0){
			var error = true;
			alert("Maaf, Nomor faktur masih kosong.");
			$("#txt_nofak").focus();
			return (false);
        }
		
		if(tanggal.length == 0){
			var error = true;
			alert("Maaf, Tanggal faktur tidak boleh kosong.");
			$("#txt_tanggal").focus();
			return (false);
        }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Jumlah nominal tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		
		if(tanggaljt.length == 0){
			var error = true;
			alert("Maaf, Tanggal jatuh tempo tidak boleh kosong.");
			$("#txt_tanggaljt").focus();
			return (false);
        }
		  
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "spv/piutang_dg/simpan.php",
			data	: "kodepl="+kodepl+
					"&nama="+nama+
					"&nofak="+nofak+
					"&tanggal="+tanggal+
					"&nopol="+nopol+
					"&jumlah="+jumlah+
					"&tanggaljt="+tanggaljt,
					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input").val('');
				tampil_detail();
			}
		});
		}
	}
		
	$("#tutup").click(function(){	
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table>
	<tr>		
		<td>Nama Pelanggan</td>
		<td>:</td>
		<td><input name='txt_nama' id='txt_nama' size='25' ></td>
		<td></td>
		<td>Kode Pelanggan</td>
		<td>:</td>
		<td><input type='text' name='txt_kodepl' id='txt_kodepl' size='3' readonly />		
	</tr>
	</table>
	<hr>";

echo "<div id='info_pelanggan' align='center'></div>";
	
echo "<div id='form_input' align='center'>
	<table width='100%'>
	<tr>	
		<th>No.Faktur</th>
		<th>Tanggal Faktur</th>
		<th>No.Polisi</th>
		<th>Saldo</th>
		<th>Jatuh Tempo</th>		
		<th></th>
	</tr>
	
	<tr>
		<input type='date' name='txt_tgl' id='txt_tgl' class='input' hidden />
		<td><input type='text' name='txt_nofak' id='txt_nofak' size='9' class='input'></td>
		<td><input type='date' name='txt_tanggal' id='txt_tanggal'></td>
		<td><input type='text' name='txt_nopol' id='txt_nopol' size='9' class='input'></td>
		<td><input type='text' name='txt_jumlah' id='txt_jumlah' size='9' class='input'></td>
		<td><input type='date' name='txt_tanggaljt' id='txt_tanggaljt'></td>
		<td align='right'>
			<button name='simpan' id='simpan'>Rekam</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>
	<div>";
	
echo "<div id='data_detail'></div>";
?>
